Module java.corba
Package org.omg.DynamicAny

## Class NameValuePair

- java.lang.Object
- - org.omg.DynamicAny.NameValuePair

- All Implemented Interfaces:
    `Serializable`, `IDLEntity`

      public final class NameValuePair
      extends Object
      implements IDLEntity

  org/omg/DynamicAny/NameValuePair.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/java9-openjdk/src/jdk9u-jdk-9.0.4+11/corba/src/java.corba/share/classes/org/omg/DynamicAny/DynamicAny.idl Saturday, February 3, 2018 2:12:27 PM UTC

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `id` | The name associated with the Any.
    `Any` | `value` | The Any value associated with the name.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NameValuePair​()` |
    `NameValuePair​(String _id, Any _value)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          public String id

      The name associated with the Any.

    - #### value

          public Any value

      The Any value associated with the name.

  - ### Constructor Detail

    - #### NameValuePair

          public NameValuePair​()

    - #### NameValuePair

          public NameValuePair​(String _id,
                               Any _value)